# $Revision: 1.12 $, $Date: 2010/06/12 22:15:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-Pari
Summary:	Math::BigInt::Pari - use Math::Pari for Math::BigInt routines
Summary(pl.UTF-8):	Math::BigInt::Pari - wykorzystanie Math::Pari do funkcji Math::BigInt
Name:		perl-Math-BigInt-Pari
Version:	1.13
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	64a336d15d0faed78587d411e4075363
BuildRequires:	perl-Math-BigInt >= 1.87
BuildRequires:	perl-Math-Pari >= 2.010602
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.87
Requires:	perl-Math-Pari >= 2.010709
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::Pari provides support for big integer calculations via
means of Math::Pari, an XS layer on top of the very fast PARI library.

%description -l pl.UTF-8
Math::BigInt::Pari dostarcza obsługę obliczeń na wielkich liczbach
całkowitych z wykorzystaniem funkcjonalności modułu Math::Pari -
warstwy XS będącej interfejsem do bardzo szybkiej biblioteki PARI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Math/BigInt/Pari.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-BigInt-Pari.spec,v $
Revision 1.12  2010/06/12 22:15:09  baggins
- rel 3

Revision 1.11  2009/11/03 14:30:20  baggins
- rel 2
- BigFloat is part of BigInt

Revision 1.10  2009/11/03 14:23:28  baggins
- 1.13
- updated BR/R

Revision 1.9  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.7  2005/06/01 19:13:38  qboosh
- removed obsolete test patch, updated deps, release 1

Revision 1.6  2005/05/30 08:51:47  petec
- up to 1.11
- test patch probably unneeded

Revision 1.5  2004/11/03 22:30:33  paladine
- formatting

Revision 1.4  2004/05/06 18:43:16  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.2  2004/04/20 23:59:35  ankry
- ported to new bconds

Revision 1.1  2003/06/29 10:17:49  qboosh
- new
